generator:
  class: sfDoctrineGenerator
  param:
    model_class:           Review
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          review
    with_doctrine_route:   true
    actions_base_class:    sfActions
    order: 70

    config:
      actions: ~
      fields:
        name: {label: Имя}
        phone: {label: Телефон}
        body: {label: Текст}
        file: {label: Изображение}
        lang: {label: Язык}
        created_at: {label: Дата}
        is_activated: {label: Опубликован}
        tags_list: {label: 'Теги'}
      list:
        layout: ~
        title: 'Отзывы'
        display: [name, phone, lang, is_activated, created_at]
        max_per_page: 100
        sort: [created_at, DESC]
        object_actions:
          _delete: ~
          _edit: ~
        search:
          fields: [name, phone]
        export: false
      filter:
        class: false
      form: ~
      edit:
        title: Редактирование отзыва
      new:
        title: Добавление отзыва
      tabs:
        0: {label: 'Неопубликованные', where: 'r.is_activated = 0'}
        1: {label: 'Опубликованные', where: 'r.is_activated = 1'}